AnnotationsHandler Class Referenceabstract

`#include <annotationshandler.h>`

## Public Member Functions

virtual | ~AnnotationsHandler ()
virtual void | handleAnnotations (const AnnotationsList &aList)=0

## Detailed Description

A virtual interface which can be reimplemented to receive notes with help of the Annotations object.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  0.3

Definition at line 49 of file annotationshandler.h.

## Constructor & Destructor Documentation

## ~AnnotationsHandler()

virtual ~AnnotationsHandler | ( |  | ) |

inline virtual

Virtual destructor.

Definition at line 55 of file annotationshandler.h.

## Member Function Documentation

## handleAnnotations()

virtual void handleAnnotations | ( | const AnnotationsList & | aList | ) |

pure virtual

This function is called when notes arrive from the server.

Parameters

  aList | A list of notes.

The documentation for this class was generated from the following file:

- annotationshandler.h